BEEM - Android XMPP - Support #495

Login failed. fails to connect to openfire server
Description

Hello, | am hoping someone can assist me.
| have setup an Openfire server in Windows that is working. | can connect from another Windows client (pidgin) with no problems.

With Beem on Android Samsung Galaxy 3, | cannot connect. | am able to create an account on the Openfire server or use an
existing account already setup on the server.

But in both cases, when it tries to connect, all | get is a failure to connect due to bad username or password.
| have uninstalled twice hoping there was some strange config error.

Logcat:

07-02 06:50:37.955: E/’XMPPConnectionAdapter(954): Error while connecting

07-02 06:50:37.955: E/’XMPPConnectionAdapter(954): SASL authentication failed using mechanism DIGEST-MD5:
07-02 06:50:37.955: E/’XMPPConnectionAdapter(954):  at
org.jivesoftware.smack.SASLAuthentication.authenticate(SASLAuthentication.java:259)

07-02 06:50:37.955: E/’XMPPConnectionAdapter(954):  at
org.jivesoftware.smack.XMPPConnection.login(XMPPConnection.java:207)

07-02 06:50:37.955: E/’XMPPConnectionAdapter(954): at

com.beem.project.beem.service. XmppConnectionAdapter.login(XmppConnectionAdapter.java:251)

07-02 06:50:37.955: E/’XMPPConnectionAdapter(954):  at
com.beem.project.beem.service.LoginAsyncTask.dolnBackground(LoginAsyncTask.java:100)

07-02 06:50:37.955: E/’XMPPConnectionAdapter(954):  at
com.beem.project.beem.service.LoginAsyncTask.doInBackground(LoginAsyncTask.java:1)

07-02 06:50:37.955: E/XMPPConnectionAdapter(954):  at android.os.AsyncTask$2.call(AsyncTask.java:287)
07-02 06:50:37.955: E/’XMPPConnectionAdapter(954):  at java.util.concurrent.FutureTask.run(FutureTask.java:234)
07-02 06:50:37.955: E/XMPPConnectionAdapter(954):  at android.os.AsyncTask$SerialExecutor$1.run(AsyncTask.java:230)
07-02 06:50:37.955: E/’XMPPConnectionAdapter(954): at

java.util.concurrent. ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1080)

07-02 06:50:37.955: E/’XMPPConnectionAdapter(954):  at

java.util.concurrent. ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:573)

07-02 06:50:37.955: E/’XMPPConnectionAdapter(954):  at java.lang.Thread.run(Thread.java:856)

the version of Android :4.2.2

History

#1 - 01/06/2014 01:00 AM - Frédéric Barthéléry
- Status changed from New to Feedback

We need more informations do deal with this issues. Version of Beem ?
The SASL authentication failure means that you are login with wrong username/password.
If you are sure about the password used, you may change the "Use full jid" option in the Settings to see if it solved the issue.

If it doesn't solve the issue we will need to have the XMPP stanza exchanged. You can activate the XMPP debugger in the settings to print the stanza
in logcat.

#2 - 11/14/2014 12:39 AM - viking-coyote no

Frédéric, seems i've got same problem:

google acc work without any problem, openfire's acc can't connect "wrong password or username.

03/03/2026 12




Tried SSL on/off, Use full jid id - anyway "wrong username/password".

Beem 0.1.8, Android 4.1.2.

#3 - 11/14/2014 08:50 AM - Frédéric Barthéléry

We need to have the XMPP stanza exchanged. You can activate the XMPP debugger in the settings to print the stanza in logcat.
